Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.cgels

scipy.linalg.lapack.cgels(a, b[, trans, lwork, overwrite_a, overwrite_b]) = <fortran function cgels>

  Wrapper for `cgels`.

  Parameters:
    a input rank-2 array(‘F’) with bounds (m,n)
    b input rank-2 array(‘F’) with bounds (MAX(m, n),nrhs)
  Returns:
    lqr rank-2 array(‘F’) with bounds (m,n) and a storage
    x rank-2 array(‘F’) with bounds (MAX(m, n),nrhs) and b storage
    info int
  Other Parameters:
    trans input bytes, optional

      Default: ‘N’

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    lwork input int, optional

      Default: MAX(MIN(m,n)+MAX(MIN(m,n),nrhs),1)